POST api/adminevent/getsubscriberdatabylatlong?UserId={UserId}&UserRole={UserRole}&eventId={eventId}&polygonId={polygonId}&subId={subId}&isDelivery={isDelivery}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| UserId | integer |
Required |
|
| UserRole | integer |
Required |
|
| eventId | integer |
Required |
|
| polygonId | integer |
Required |
|
| subId | integer |
Required |
|
| isDelivery | boolean |
Required |
Body Parameters
EventLocation| Name | Description | Type | Additional information |
|---|---|---|---|
| PolygonId | integer |
None. |
|
| PolygonName | string |
None. |
|
| IsActive | boolean |
None. |
|
| SubscriberId | integer |
None. |
|
| LocationAddress | string |
None. |
|
| NumberOfFlags | integer |
None. |
|
| IsNewLocation | boolean |
None. |
|
| Latitude | decimal number |
None. |
|
| Longitude | decimal number |
None. |
|
| JobStatus | integer |
None. |
|
| Note | string |
None. |
|
| DriverJobId | integer |
None. |
|
| DriverId | integer |
None. |
|
| DriverName | string |
None. |
|
| PickupDriverId | integer |
None. |
|
| PickupDriverName | string |
None. |
|
| FlagLocation | string |
None. |
|
| GateCode | string |
None. |
|
| AssignDate | date |
None. |
|
| DeliveryDate | date |
None. |
|
| PickupDate | date |
None. |
|
| CreatedOn | date |
None. |
|
| IsAlreadyAssigned | boolean |
None. |
|
| IsDeleted | boolean |
None. |
|
| IsHoaLocation | boolean |
None. |
|
| JobImages | Collection of JobImageViewModel |
None. |
|
| TexasFlag | integer |
None. |
|
| UsFlag | integer |
None. |
|
| deviceOS | string |
None. |
|
| StatusString | string |
None. |
|
| DistributionId | integer |
None. |
|
| DistributionCenter | string |
None. |
|
| ApartmentNumber | string |
None. |
|
| IsExtendedFlag | boolean |
None. |
|
| IsSubscriberExtendedFlag | boolean |
None. |
|
| IsPermanentFlag | boolean |
None. |
|
| IsPermanentFlagDeliverd | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"PolygonId": 1,
"PolygonName": "sample string 1",
"IsActive": true,
"SubscriberId": 2,
"LocationAddress": "sample string 3",
"NumberOfFlags": 4,
"IsNewLocation": true,
"Latitude": 6.1,
"Longitude": 7.1,
"JobStatus": 1,
"Note": "sample string 8",
"DriverJobId": 9,
"DriverId": 1,
"DriverName": "sample string 10",
"PickupDriverId": 1,
"PickupDriverName": "sample string 11",
"FlagLocation": "sample string 12",
"GateCode": "sample string 13",
"AssignDate": "2026-04-15T18:54:42.7901031+00:00",
"DeliveryDate": "2026-04-15T18:54:42.7901031+00:00",
"PickupDate": "2026-04-15T18:54:42.7901031+00:00",
"CreatedOn": "2026-04-15T18:54:42.7901031+00:00",
"IsAlreadyAssigned": true,
"IsDeleted": true,
"IsHoaLocation": true,
"JobImages": [
{
"Id": 1,
"ImageName": "sample string 2",
"ImagePath": "sample string 3",
"DriverId": 4,
"CreatedOn": "2026-04-15T18:54:42.7901031+00:00",
"JobStatus": 5,
"LocationAddress": "sample string 6"
},
{
"Id": 1,
"ImageName": "sample string 2",
"ImagePath": "sample string 3",
"DriverId": 4,
"CreatedOn": "2026-04-15T18:54:42.7901031+00:00",
"JobStatus": 5,
"LocationAddress": "sample string 6"
}
],
"TexasFlag": 1,
"UsFlag": 1,
"deviceOS": "sample string 15",
"StatusString": "sample string 16",
"DistributionId": 1,
"DistributionCenter": "sample string 17",
"ApartmentNumber": "sample string 18",
"IsExtendedFlag": true,
"IsSubscriberExtendedFlag": true,
"IsPermanentFlag": true,
"IsPermanentFlagDeliverd": true
}
application/xml, text/xml
Sample:
<EventLocation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Flag360.ViewModels.Admin">
<ApartmentNumber>sample string 18</ApartmentNumber>
<AssignDate>2026-04-15T18:54:42.7901031+00:00</AssignDate>
<CreatedOn>2026-04-15T18:54:42.7901031+00:00</CreatedOn>
<DeliveryDate>2026-04-15T18:54:42.7901031+00:00</DeliveryDate>
<DistributionCenter>sample string 17</DistributionCenter>
<DistributionId>1</DistributionId>
<DriverId>1</DriverId>
<DriverJobId>9</DriverJobId>
<DriverName>sample string 10</DriverName>
<FlagLocation>sample string 12</FlagLocation>
<GateCode>sample string 13</GateCode>
<IsActive>true</IsActive>
<IsAlreadyAssigned>true</IsAlreadyAssigned>
<IsDeleted>true</IsDeleted>
<IsExtendedFlag>true</IsExtendedFlag>
<IsHoaLocation>true</IsHoaLocation>
<IsNewLocation>true</IsNewLocation>
<IsPermanentFlag>true</IsPermanentFlag>
<IsPermanentFlagDeliverd>true</IsPermanentFlagDeliverd>
<IsSubscriberExtendedFlag>true</IsSubscriberExtendedFlag>
<JobImages>
<JobImageViewModel>
<CreatedOn>2026-04-15T18:54:42.7901031+00:00</CreatedOn>
<DriverId>4</DriverId>
<Id>1</Id>
<ImageName>sample string 2</ImageName>
<ImagePath>sample string 3</ImagePath>
<JobStatus>5</JobStatus>
<LocationAddress>sample string 6</LocationAddress>
</JobImageViewModel>
<JobImageViewModel>
<CreatedOn>2026-04-15T18:54:42.7901031+00:00</CreatedOn>
<DriverId>4</DriverId>
<Id>1</Id>
<ImageName>sample string 2</ImageName>
<ImagePath>sample string 3</ImagePath>
<JobStatus>5</JobStatus>
<LocationAddress>sample string 6</LocationAddress>
</JobImageViewModel>
</JobImages>
<JobStatus>1</JobStatus>
<Latitude>6.1</Latitude>
<LocationAddress>sample string 3</LocationAddress>
<Longitude>7.1</Longitude>
<Note>sample string 8</Note>
<NumberOfFlags>4</NumberOfFlags>
<PickupDate>2026-04-15T18:54:42.7901031+00:00</PickupDate>
<PickupDriverId>1</PickupDriverId>
<PickupDriverName>sample string 11</PickupDriverName>
<PolygonId>1</PolygonId>
<PolygonName>sample string 1</PolygonName>
<StatusString>sample string 16</StatusString>
<SubscriberId>2</SubscriberId>
<TexasFlag>1</TexasFlag>
<UsFlag>1</UsFlag>
<deviceOS>sample string 15</deviceOS>
</EventLocation>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.